Subject: bug#20182: 24.4.91; [GTK3] Vertical scroll bar is "indented" from right edge of frame

From: [email-masked] (N. Jackson)
Date: Tue, 24 Mar 2015 20:20:45 -0300

At 18:38 -0300 on Tuesday 2015-03-24, Jan D. wrote:

> You have added an assert that is dependent on how non-Emacs code
> behaves. That is wrong in all possible ways.

Sorry for the confusion. I am adding nothing. I was just reporting the
code I tested with. [When I'm debugging I like things to fail
immediately if the code is making an invalid assumption, rather than
waiting for confusing behaviour later on. Hence the assert.]

> If you are adding asserts, you should be sure that all Gtk+ 2 versions
> behaves like this, which includes all patched versions that are used
> by distributions.

I was working from your earlier statement, when you apparently said that
a slider-width of 16 is always returned by gtk_widget_style_get() when
the GDK version is not GDK3. Clearly that was a misunderstanding of what
you wrote. At least we have now clarified that we are uncertain about
this.